Loading...
Searching...
No Matches
BALL::PeriodicBoundary::Default Struct Reference

Default values. More...

`#include <BALL/MOLMEC/COMMON/periodicBoundary.h>`

## Static Public Attributes

static const Vector3 | PERIODIC_BOX_LOWER
| Default vector for the lower corner of the box.
static const Vector3 | PERIODIC_BOX_UPPER
| Default vector for the upper corner of the box.
static const bool | PERIODIC_BOX_ENABLED
| Default bool value for periodic boundary (enabled or not).
static const float | PERIODIC_BOX_DISTANCE
| Default minimum distance between solute molecules and the box in Angstrom.
static const bool | PERIODIC_BOX_ADD_SOLVENT
| Default value of the flag to initiate the addition of solvent to the box.
static const char * | PERIODIC_BOX_SOLVENT_FILE
static const float | PERIODIC_BOX_SOLVENT_SOLUTE_DISTANCE
| Default minimum distance between solvent and solute for added solvent.
static const char * | PERIODIC_WATER_FILE
| Default file for default solvent.

## Detailed Description

Default values.

Definition at line 90 of file periodicBoundary.h.

## Member Data Documentation

## PERIODIC_BOX_ADD_SOLVENT

const bool BALL::PeriodicBoundary::Default::PERIODIC_BOX_ADD_SOLVENT

static

Default value of the flag to initiate the addition of solvent to the box.

Definition at line 105 of file periodicBoundary.h.

## PERIODIC_BOX_DISTANCE

const float BALL::PeriodicBoundary::Default::PERIODIC_BOX_DISTANCE

static

Default minimum distance between solute molecules and the box in Angstrom.

Definition at line 102 of file periodicBoundary.h.

## PERIODIC_BOX_ENABLED

const bool BALL::PeriodicBoundary::Default::PERIODIC_BOX_ENABLED

static

Default bool value for periodic boundary (enabled or not).

Definition at line 99 of file periodicBoundary.h.

## PERIODIC_BOX_LOWER

const Vector3 BALL::PeriodicBoundary::Default::PERIODIC_BOX_LOWER

static

Default vector for the lower corner of the box.

Definition at line 93 of file periodicBoundary.h.

## PERIODIC_BOX_SOLVENT_FILE

const char* BALL::PeriodicBoundary::Default::PERIODIC_BOX_SOLVENT_FILE

static

Default file for adding solvent molecules into the box. This file should contain an equilibrated box of the solvent in the HyperChem format.

Definition at line 111 of file periodicBoundary.h.

## PERIODIC_BOX_SOLVENT_SOLUTE_DISTANCE

const float BALL::PeriodicBoundary::Default::PERIODIC_BOX_SOLVENT_SOLUTE_DISTANCE

static

Default minimum distance between solvent and solute for added solvent.

Definition at line 114 of file periodicBoundary.h.

## PERIODIC_BOX_UPPER

const Vector3 BALL::PeriodicBoundary::Default::PERIODIC_BOX_UPPER

static

Default vector for the upper corner of the box.

Definition at line 96 of file periodicBoundary.h.

## PERIODIC_WATER_FILE

const char* BALL::PeriodicBoundary::Default::PERIODIC_WATER_FILE

static

Default file for default solvent.

Definition at line 117 of file periodicBoundary.h.